geos::operation::overlayng::InputGeometry Class Reference

`#include <InputGeometry.h>`

## Public Member Functions

| InputGeometry (const Geometry *geomA, const Geometry *geomB)
bool | isSingle () const
int | getDimension (uint8_t index) const
uint8_t | getCoordinateDimension (uint8_t index) const
const Geometry * | getGeometry (uint8_t geomIndex) const
const Envelope * | getEnvelope (uint8_t geomIndex) const
bool | isEmpty (uint8_t geomIndex) const
bool | isArea (uint8_t geomIndex) const
int | getAreaIndex () const
bool | isLine (uint8_t geomIndex) const
bool | isAllPoints () const
bool | hasPoints () const
bool | hasEdges (uint8_t geomIndex) const
Location | locatePointInArea (uint8_t geomIndex, const Coordinate &pt)
PointOnGeometryLocator * | getLocator (uint8_t geomIndex)
void | setCollapsed (uint8_t geomIndex, bool isGeomCollapsed)

## Detailed Description

Manages the input geometries for an overlay operation. The second geometry is allowed to be null, to support for instance precision reduction.

Author
  Martin Davis

## Member Function Documentation

## hasEdges()

bool geos::operation::overlayng::InputGeometry::hasEdges | ( | uint8_t | geomIndex | ) | const

Tests if an input geometry has edges. This indicates that topology needs to be computed for them.

Parameters

  geomIndex |

Returns
  true if the input geometry has edges

## locatePointInArea()

Location geos::operation::overlayng::InputGeometry::locatePointInArea | ( | uint8_t | geomIndex,
|  | const Coordinate & | pt )

Determines the location within an area geometry. This allows disconnected edges to be fully located.

Parameters

  geomIndex | the index of the geometry
  pt | the coordinate to locate

Returns
  the location of the coordinate

See also
  Location

The documentation for this class was generated from the following file:

- InputGeometry.h